List Network Entries
curl --request GET \
--url https://api.sandbox.metriport.com/medical/v1/network-entry \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/network-entry"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/network-entry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const { networkEntries } = await metriport.listNetworkEntries({
supportsMessaging: true,
filter: "Referral - cardiology",
npi: "1234567890",
});
Network
List Network Entries
List HIE directory entries that Metriport has access to.
GET
/
medical
/
v1
/
network-entry
List Network Entries
Returns HIE (network) directory entries available to your account.
This is a paginated endpoint. For more information see
pagination.
For Message Delivery, set
supportsMessaging=true and use an entry’s oid as destination on
Send Message.Query Params
string
Full-text search across directory entry fields (for example name or
location).
string
Exact NPI match.
string
Exact organization OID match.
string
Alias of
oid for Message Delivery. An OID or address. If both
destination and oid are provided, destination is used.string
Set to
true to return only entries that support message delivery.Response
object
required
Pagination metadata. See
pagination.
NetworkEntry[]
required
Matching directory entries.
Show NetworkEntry properties
Show NetworkEntry properties
string
required
Display name for the organization or facility.
string
required
Organization OID. For Message Delivery, use this as
destination on
Send Message.string
NPI associated with the entry, when available.
string
Street address line.
string
City.
string
US state.
string
ZIP code.
string
Root organization name, when available.
string
Managing organization OID, when available.
string
required
One of
COMMONWELL, CAREQUALITY, or EHEX.boolean
required
Whether the entry can receive messages.
{
"meta": {
"itemsOnPage": 1,
"itemsInTotal": 1
},
"networkEntries": [
{
"name": "Referral - cardiology",
"oid": "2.16.840.1.113883.3.666.123.4.101",
"npi": "1234567890",
"addressLine": "100 Medical Plaza",
"city": "Los Angeles",
"state": "CA",
"zipCode": "90095",
"rootOrganization": "Metriport",
"managingOrgOid": "2.16.840.1.113883.3.666.123.4.102",
"network": "EHEX",
"supportsMessaging": true
}
]
}
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const { networkEntries } = await metriport.listNetworkEntries({
supportsMessaging: true,
filter: "Referral - cardiology",
npi: "1234567890",
});
Rate Limits
See limits and throttling⌘I

